#### D.4.2.10 mapIsFinite

Procedure from library `algebra.lib` (see algebra_lib).

Usage:
  mapIsFinite(phi,R[,J]); R the preimage ring of the map phi: R ---> basering
  J an ideal in the basering, J = 0 if not given

Return:
  1 if R ---> basering/J is finite and 0 else

Note:
  R may be a quotient ring (this will be ignored since a map R/I-->S/J is finite if and only if the induced map R-->S/J is finite).

Example:

    LIB "algebra.lib";
    ring r = 0,(a,b,c),dp;
    ring s = 0,(x,y,z),dp;
    ideal i= xy;
    map phi= r,(xy)^3+x2+z,y2-1,z3;
    mapIsFinite(phi,r,i);
    ==> 1

See also: finitenessTest.

User manual for Singular version 4.4.1, 2025, generated by texi2html.